/*
 * file sinich_reg.h
 * TED
 * date 2006
 */
#ifndef __SINICH_REG_H
#define __SINICH_REG_H


/******************************************************************************
 *	address map : FPGA_ADDR[15:8]
 */
#define SINICH_BRD_AUDIO_IN_0				0x40
#define SINICH_BRD_AUDIO_IN_1				0x41
#define SINICH_BRD_AUDIO_IN_2				0x42
#define SINICH_BRD_AUDIO_IN_3				0x43
#define SINICH_BRD_MCH_IO_0				0x44
#define SINICH_BRD_MCH_IO_1				0x45
#define SINICH_BRD_MCH_IO_2				0x46
#define SINICH_BRD_MCH_IO_3				0x47
#define SINICH_BRD_SYSTEM				0x48


/******************************************************************************
 *	address map, system board register : FPGA_ADDR[7:0]
 */
#define SINICH_REG_SYS_BOARD_CTL		0x00
#define SINICH_REG_SYS_AUDIO_SMPL_CTL		0x01
#define SINICH_REG_SYS_MCH_IO_SMPL_CTL		0x02
#define SINICH_REG_SYS_AUDIO_IN_EN		0x03
#define SINICH_REG_SYS_AUDIO_OUT_EN		0x04
#define SINICH_REG_SYS_MCH_IO_IN_EN		0x05
#define SINICH_REG_SYS_MCH_IO_OUT_EN		0x06
#define SINICH_REG_SYS_GPIO_DIR_0		0x07
#define SINICH_REG_SYS_GPIO_DIR_1		0x08
#define SINICH_REG_SYS_GPIO_DATA_0		0x09
#define SINICH_REG_SYS_GPIO_DATA_1		0x0A
#define SINICH_REG_SYS_INT4_EN			0x0B
#define SINICH_REG_SYS_INT4_FACT		0x0C
#define SINICH_REG_SYS_FPGA_VERSION		0x0D


/******************************************************************************
 *	address map, audio board register : FPGA_ADDR[7:0]
 */
#define SINICH_REG_AUDIO_DATA				0x00
#define SINICH_REG_AUDIO_ADDR				0x01
#define SINICH_REG_AUDIO_WR_EXEC			0x02


/******************************************************************************
 *	address map, multi-channel I/O board register : FPGA_ADDR[7:0]
 */
#define SINICH_REG_MCH_IO_DATA				0x00
#define SINICH_REG_MCH_IO_ADDR				0x01
#define SINICH_REG_MCH_IO_WR_EXEC			0x02


/******************************************************************************
 *	address map, audio board control register
 */
#define SINICH_REG_CODEC_ACT_CHK		0x00
#define SINICH_REG_CODEC_ADC_PW_DWN		0x01
#define SINICH_REG_CODEC_AUDIO_LED		0x02
#define SINICH_REG_CODEC_IN_SEL			0x03
#define SINICH_REG_CODEC_PW_MG			0x04
#define SINICH_REG_CODEC_MOD_CTL		0x05
#define SINICH_REG_CODEC_TIM_SEL		0x06
#define SINICH_REG_CODEC_ALC_MOD_CTL_0		0x07
#define SINICH_REG_CODEC_ALC_MOD_CTL_1		0x08
#define SINICH_REG_CODEC_OPE_MOD		0x09
#define SINICH_REG_CODEC_IN_PGA_CTL		0x0A
#define SINICH_REG_CODEC_PKHD_EVEN_CH		0x0B
#define SINICH_REG_CODEC_PKHD_ODD_CH		0x0C


/******************************************************************************
 *	address map, multi-channel I/O board control register
 */
#define SINICH_REG_MCH_IO_CTL_ACT_CHK		0x00
#define SINICH_REG_MCH_IO_CTL_LED		0x01
#define SINICH_REG_MCH_IO_CTL_GPIO_DIR_0	0x02
#define SINICH_REG_MCH_IO_CTL_GPIO_DIR_1	0x03
#define SINICH_REG_MCH_IO_CTL_GPIO_DIR_2	0x04
#define SINICH_REG_MCH_IO_CTL_PWM_FREQ		0x05
#define SINICH_REG_MCH_IO_CTL_PWM_CTL_0	0x06
#define SINICH_REG_MCH_IO_CTL_PWM_CTL_1	0x07
#define SINICH_REG_MCH_IO_CTL_PWM_CTL_2	0x08
#define SINICH_REG_MCH_IO_CTL_PWM_CTL_3	0x09
#define SINICH_REG_MCH_IO_CTL_PWM_CTL_4	0x0A
#define SINICH_REG_MCH_IO_CTL_PWM_CTL_5	0x0B
#define SINICH_REG_MCH_IO_CTL_PWM_CTL_6	0x0C
#define SINICH_REG_MCH_IO_CTL_PWM_CTL_7	0x0D


#endif /* __SINICH_REG_H */
